"""
    MoinMoin - UploadFile Macro

    Copyright (c) 2000-2001 by Changjune Kim <juneaftn@orgio.net>
    All rights reserved, see COPYING for details.

    [[UploadFile(Text)]]
        Includes the upload form with heading "Text"

    $Id: UploadFile.py,v 0.8 2001/05/16 04:07:13 
"""

# Imports
from MoinMoin import user

def execute(macro, text):
    if not text:
        text="File Upload"
    result=macro.formatter.heading(2, text)
    if user.current.valid:
        result+='''
<form enctype="multipart/form-data" 
      method=post 
      action="/upload.cgi">
  <p><input type=file size=50 name=clientfile><input type=submit value=Upload>
</form>
'''
    else:
        result+="Available only to the members.<p>"
    return result

